> For the complete documentation index, see [llms.txt](https://docs.payum.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payum.dev/v2/paypal/masspay/get-it-started.md).

# Get Started

Mass Payments lets you send multiple payments in one batch. It's a fast and convenient way to send commissions, rebates, rewards, and general payments. You must have explicit permission from PayPal to use Mass Payments. You submit the payment information to PayPal in the form of a payment file. PayPal processes each payment and notifies you when it is complete.

### Installation

The preferred way to install the library is using [composer](http://getcomposer.org/). Run composer require to add dependencies to *composer.json*:

```bash
php composer.phar require payum/paypal-masspay-nvp php-http/guzzle7-adapter
```

### config.php

```php
<?php
//config.php

use Payum\Core\PayumBuilder;
use Payum\Core\Payum;

/** @var Payum $payum */
$payum = (new PayumBuilder())
    ->addGateway('aGateway', [
        'factory' => 'paypal_masspay',
        'username'  => 'change it',
        'password'  => 'change it',
        'signature' => 'change it',
        'sandbox'   => true,
    ])

    ->getPayum()
;
```

### prepare.php

Here we send 1$ to <recipient@example.com> user:

```php
<?php
//prepare.php

use Payum\Core\Model\Payout;

include __DIR__.'/config.php';

$gatewayName = 'aGateway';

/** @var \Payum\Core\Payum $payum */
$storage = $payum->getStorage(Payout::class);

$payout = $storage->create();
$payout->setCurrencyCode('USD');
$payout->setRecipientEmail('recipient@example.com');
$payout->setTotalAmount(100); // 1$
$storage->update($payout);

$payoutToken = $payum->getTokenFactory()->createPayoutToken($gatewayName, $payout, 'done.php');

header("Location: ".$payoutToken->getTargetUrl());
```

### Links

* <https://developer.paypal.com/docs/classic/mass-pay/integration-guide/MassPayOverview/>
* <https://developer.paypal.com/docs/classic/mass-pay/integration-guide/MassPayUsingAPI/>

***

### Supporting Payum

Payum is an MIT-licensed open source project with its ongoing development made possible entirely by the support of community and our customers. If you'd like to join them, please consider:

* [Become a sponsor](https://github.com/sponsors/Payum)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payum.dev/v2/paypal/masspay/get-it-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
